#ifndef INITAPP
#define INITAPP

#include <header.h>

#ifdef WIN
#include <windows.h>

#define DEBUGDLL "exchndl.dll"

int InitializeApp()
{	
        //Works with MinGW
	#ifdef MINGW
	#ifdef DEBUG
	if(!LoadLibraryEx(DEBUGDLL,NULL,LOAD_WITH_ALTERED_SEARCH_PATH)) return -1;
	#endif //DEBUG
	#endif //MINGW	
	return 0;
}

#else

int InitializeApp(){
	return 0;
}

#endif //WIN

#endif //INITAPP
